sailpoint.object

## Class ResourceObject

- java.lang.Object
- - sailpoint.object.ResourceObject

    public class ResourceObject
    extends java.lang.Object

Read-only representation of account data that has been aggregated. Use this as a basis to determine correlation linkages with a specific identity.

### Constructor Summary

Constructors
Constructor and Description
`ResourceObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getIdentity()`
`java.lang.String` `getString(java.lang.String name)` Get the attribute value provided as a string
`java.lang.String` `getStringAttribute(java.lang.String name)` Get the attribute value provided as a string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceObject

    public ResourceObject()

### Method Detail

#### getIdentity

    public java.lang.String getIdentity()

Returns:

#### getStringAttribute

    public java.lang.String getStringAttribute(java.lang.String name)

Get the attribute value provided as a string

Parameters:
  `name` - The name of the attribute to retrieve
Returns:
  the string value of the given attribute name

#### getString

    public java.lang.String getString(java.lang.String name)

Get the attribute value provided as a string

Parameters:
  `name` - The name of the attribute
Returns:
  the string value of the given attribute name